Question MiniMessage error

Hyrancood

New member
Mar 27, 2024
2
0
1
I wanted to try to use MiniMessage from Adventure, as it looks quite handy for some situations, but I ran into a problem - paper claims that MiniMessage classes do not exist in it:
Code:
java.lang.NoClassDefFoundError: net/kyory/adventury/text/minimessage/MiniMessage
I am using paper-1.16.5-794 snapshot (latest). At the same time paper claims to have native MiniMessage support since build 473.
Besides, the standard dependency package paper-api 1.16.5-R0.1-SNAPSHOT doesn't contain minimessage either:

Скриншот 28-03-2024 005949.jpg
So I had to add the dependency myself. However, this did not help.
If someone has encountered and solved this problem, please tell me what to do
 

electronicboy

Administrator
Staff member
Dec 11, 2021
221
10
37
28
adventure was added in 473, minimessage was not bundled until 1.18.x, you'd need to shade it yourself, but MM is not compatible with much older versions of adventure, and so you'd be unable to use the built-in stuff if you wanted a nicely working setup.
 

Hyrancood

New member
Mar 27, 2024
2
0
1
adventure was added in 473, minimessage was not bundled until 1.18.x, you'd need to shade it yourself, but MM is not compatible with much older versions of adventure, and so you'd be unable to use the built-in stuff if you wanted a nicely working setup.
Ugh, that hurts. Thanks for the information.